#networks:
#  notification:
#    name: notification
#    driver: bridge
#  database:
#    name: database
#    external: true
services:
  gotify:
    image: ${GOTIFY_IMAGE}:${GOTIFY_TAG}
    container_name: ${GOTIFY_CONTAINER_NAME}
    restart: ${GOTIFY_RESTART_POLICY}
    security_opt:
    - no-new-privileges:true
#    ports:
#      - ${GOTIFY_PORT:-8080}:80
    env_file:
      - path: ./env-files/gotify.env
    volumes:
      - ${DOCKERDIR}/gotify/data:/app/data
    networks:
       - proxy
    labels:
      traefik.enable: true
      ## HTTP Routers
      traefik.http.routers.${GOTIFY_HOST_NAME}-rtr.entrypoints: https
      traefik.http.routers.${GOTIFY_HOST_NAME}-rtr.rule: Host(`${GOTIFY_HOST_NAME}.$DOMAINNAME1`)
      ## Middlewares
      #traefik.http.routers.${GOTIFY_HOST_NAME}-rtr.middlewares: chain-authelia@file
      traefik.http.routers.${GOTIFY_HOST_NAME}-rtr.middlewares: chain-no-auth@file
      ## HTTP Services
      traefik.http.routers.${GOTIFY_HOST_NAME}-rtr.service: ${GOTIFY_HOST_NAME}-svc
      traefik.http.services.${GOTIFY_HOST_NAME}-svc.loadbalancer.server.port: 80